Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageDilateErode3D Class Reference

`#include <vtkImageDilateErode3D.h>`

Inheritance diagram for vtkImageDilateErode3D:

[legend]
Collaboration diagram for vtkImageDilateErode3D:

[legend]
List of all members.

## Detailed Description

Dilates one value and erodes another.

Date:
  2002/01/22 15:32:20

Revision:
  1.31

vtkImageDilateErode3D will dilate one value and erode another. It uses an elliptical foot print, and only erodes/dilates on the boundary of the two values. The filter is restricted to the X, Y, and Z axes for now. It can degenerate to a 2 or 1 dimensional filter by setting the kernel size to 1 for a specific axis.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (86%)
  - Martin, Ken (7%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageDilateErode3D.h)`
  - .`cxx` (`/Imaging/vtkImageDilateErode3D.cxx)`

Definition at line 48 of file vtkImageDilateErode3D.h.

## [NOHEADER]
typedef vtkImageSpatialFilter | Superclass
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkImageDilateErode3D * | New ()
int | IsTypeOf (const char *type)
vtkImageDilateErode3D * | SafeDownCast (vtkObject *o)
## Public Methods
void | SetKernelSize (int size0, int size1, int size2)
virtual void | SetDilateValue (float)
virtual float | GetDilateValue ()
virtual void | SetErodeValue (float)
virtual float | GetErodeValue ()
## Protected Methods
| vtkImageDilateErode3D ()
| ~vtkImageDilateErode3D ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
vtkImageEllipsoidSource * | Ellipse
float | DilateValue
float | ErodeValue

## Member Typedef Documentation

typedef vtkImageSpatialFilter vtkImageDilateErode3D::Superclass

| Reimplemented from vtkImageSpatialFilter. Definition at line 55 of file vtkImageDilateErode3D.h.

## Constructor & Destructor Documentation

vtkImageDilateErode3D::vtkImageDilateErode3D | ( |  | ) | `[protected]`

vtkImageDilateErode3D::~vtkImageDilateErode3D | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageDilateErode3D* vtkImageDilateErode3D::New | ( |  | ) | `[static]`

| Construct an instance of vtkImageDilateErode3D filter. By default zero values are dilated. Reimplemented from vtkImageSpatialFilter.

virtual const char* vtkImageDilateErode3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSpatialFilter.

int vtkImageDilateErode3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

virtual int vtkImageDilateErode3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

vtkImageDilateErode3D* vtkImageDilateErode3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageDilateErode3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSpatialFilter.

void vtkImageDilateErode3D::SetKernelSize | ( | int | size0,
|  | int | size1,
|  | int | size2
| ) |

| This method sets the size of the neighborhood. It also sets the default middle of the neighborhood and computes the elliptical foot print.

virtual void vtkImageDilateErode3D::SetDilateValue | ( | float |  | ) | `[virtual]`

| Set/Get the Dilate and Erode values to be used by this filter.

virtual float vtkImageDilateErode3D::GetDilateValue | ( |  | ) | `[virtual]`

| Set/Get the Dilate and Erode values to be used by this filter.

virtual void vtkImageDilateErode3D::SetErodeValue | ( | float |  | ) | `[virtual]`

| Set/Get the Dilate and Erode values to be used by this filter.

virtual float vtkImageDilateErode3D::GetErodeValue | ( |  | ) | `[virtual]`

| Set/Get the Dilate and Erode values to be used by this filter.

void vtkImageDilateErode3D::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

vtkImageEllipsoidSource* vtkImageDilateErode3D::Ellipse`[protected]`

| Definition at line 77 of file vtkImageDilateErode3D.h.

float vtkImageDilateErode3D::DilateValue`[protected]`

| Definition at line 78 of file vtkImageDilateErode3D.h.

float vtkImageDilateErode3D::ErodeValue`[protected]`

| Definition at line 79 of file vtkImageDilateErode3D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageDilateErode3D.h